<!DOCTYPE html>
<html lang="fr">
  <head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
	
    <title>Graffiti</title>
		<link rel="icon" href="ressources/logo.png">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/css/bootstrap.min.css" integrity="sha384-WskhaSGFgHYWDcbwN70/dfYBj47jz9qbsMId/iRN3ewGhXQFZCSftd1LZCfmhktB" crossorigin="anonymous">
		<link href="css/style.css" rel="stylesheet">
  </head>
  <body>
    <div class="row">
      <!-- new building -->
      <div class="col-sm-12">
            <h1>Ajouter un batiment</h1>
            <div class="mx-auto" style="width: 300px;">
            <form class="justify-content-center" action="/" method="post" id="form_new_building">
                  <input class="form-control" type="text" id="build_name" placeholder="Nom du batiment"/>
                  <input class="form-control" type="text" id="build_adress" placeholder="Adresse du batiment"/>
                  <input class="btn btn-success" type="submit" id="send" value="Valider"/>
            </form>
            </div>
        </div>
    </div>

    <footer id="footer">
      <p>&copy; NLPF 2018 - Application gestion des graffitis</p>
    </footer>

    <script src="http://code.jquery.com/jquery-1.10.1.min.js"></script>
    <script src="/socket.io/socket.io.js"></script>
    <script>
      var ip = "localhost";
      var port = 8080;

      var socket = io.connect('http://' + ip + ':' + port);

      socket.on('validate', function(message)
      {
        if (message.ok == true)
        {
          window.location.href = "http://localhost:8080/profile";
        }
        else
        {
          console.log(message.error);
        }
      });

      $('#form_new_building').submit(function()
      {
        var name = $('#build_name').val();
        var adress = $('#build_adress').val();
        console.log(name, adress);
        socket.emit('new_building', name, adress);
        return false;
      });

    </script>
  </body>
</html>